play.db

## Class DB.ExtendedDatasource

- java.lang.Object
- - play.db.DB.ExtendedDatasource

Enclosing class:
  DB

    public static class DB.ExtendedDatasource
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExtendedDatasource(javax.sql.DataSource ds, java.lang.String destroyMethod)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.sql.DataSource` `getDataSource()`
`java.lang.String` `getDestroyMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedDatasource

    public ExtendedDatasource(javax.sql.DataSource ds,
                              java.lang.String destroyMethod)

### Method Detail

#### getDestroyMethod

    public java.lang.String getDestroyMethod()

#### getDataSource

    public javax.sql.DataSource getDataSource()